Name:          jackson-dataformats-binary
Version:       2.9.4
Release:       6
Summary:       A multi-module umbrella project for Jackson standard binary data format backends
License:       ASL 2.0 and BSD
URL:           https://github.com/FasterXML/jackson-dataformats-binary
Source0:       https://github.com/FasterXML/jackson-dataformats-binary/archive/%{name}-%{version}.tar.gz
Patch0000:     CVE-2020-28491.patch
BuildArch:     noarch

BuildRequires: maven-local, mvn(com.fasterxml.jackson.core:jackson-annotations) >= %{version}, mvn(com.fasterxml.jackson.core:jackson-core) >= %{version}
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind) >= %{version}, mvn(com.fasterxml.jackson:jackson-base:pom:) >= %{version}
BuildRequires: mvn(com.google.code.maven-replacer-plugin:replacer), mvn(junit:junit), mvn(org.apache.felix:maven-bundle-plugin)
Provides:      jackson-dataformat-cbor%{?_isa} jackson-dataformat-cbor
Obsoletes:     jackson-dataformat-cbor
Provides:      jackson-dataformat-smile%{?_isa} jackson-dataformat-smile
Obsoletes:     jackson-dataformat-smile
Provides:      %{name}-javadoc%{?_isa} %{name}-javadoc
Obsoletes:     %{name}-javadoc

%description
This module is a multi-module umbrella project for Jackson standard binary dataformat backends.
Dataformat backends are used to support format alternatives to JSON, using general-purpose
Jackson API. Formats included allow access using all 3 API styles (streaming, databinding, tree model).

%prep
%autosetup -n %{name}-%{name}-%{version} -p1

cp -p ion/NOTICE .
cp -p ion/LICENSE .
sed -i 's/\r//' NOTICE LICENSE

%pom_disable_module protobuf
%pom_disable_module avro
%pom_remove_dep org.projectlombok:lombok avro
%pom_disable_module ion

%mvn_file ":{*}" jackson-dataformats/@1

%build
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-jackson-dataformats-binary
%doc README.md release-notes/*
%license LICENSE NOTICE
%{_javadocdir}/%{name}/*
%{_javadir}/*
/usr/share/maven*

%changelog
* Tue Mar 2 2021 zhanghua <zhanghua40@huawei.com> - 2.9.4-6
- fix CVE-2020-28491

* Sat Dec 7 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.9.4-5
- Package init
